You are not logged in.

#1 2022-11-07 06:09:54

rvf16
Member
From: Athens, Hellas
Registered: 2009-10-01
Posts: 6

Conflict between new openssl-3.0 and dell-command-configure-4.7.0.433

There is conflict between native new openssl-3.0 /usr/lib/libcrypto.so.3 and dell-command-configure /opt/dell/dcc/libcrypto.so.3. The latter is pulled in the initramfs during it's rebuild (kernel update, etc) via mkinitcpio, causing system shutdown lock and failure on reboot:

error while loading shared libraries: libcrypto.so.3

You can verify this by listing the initramfs tree:

# lsinitcpio /boot/initramfs-linux.img | grep libcrypto
opt/dell/dcc/libcrypto.so.3

You need a live USB to fix this with chroot, remove dell-command-configure, run ldconfig and rebuild initramfs. Any update on the system that ignites an initramfs rebuild will cause this if the dell package is present.

Similar problems have been posted on the Dell Community Forums :
https://www.dell.com/community/Linux-De … 7460#M9648
where i have shared my case.

Is there a way to override this without uninstalling dell-command-configure package?

Update: This has been mentioned on AUR package page
https://aur.archlinux.org/packages/dell … -configure
Also duplicate of
https://bbs.archlinux.org/viewtopic.php?id=280992

Last edited by rvf16 (2022-11-07 06:25:46)

Offline

#2 2022-11-07 07:31:47

d.ALT
Member
Registered: 2019-05-10
Posts: 327

Re: Conflict between new openssl-3.0 and dell-command-configure-4.7.0.433

rvf16 wrote:

Is there a way to override this without uninstalling dell-command-configure package?

You want this, I suppose.


<49,17,III,I>    Fama di loro il mondo esser non lassa;
<50,17,III,I>    misericordia e giustizia li sdegna:
<51,17,III,I>    non ragioniam di lor, ma guarda e passa.

Offline

Board footer

Powered by FluxBB